Skip to main content
GET
/
companies
/
{companyId}
/
funding-rounds
List funding rounds for a company
curl --request GET \
  --url https://app.tryspecter.com/api/v1/companies/{companyId}/funding-rounds \
  --header 'X-API-Key: <api-key>'
[
  {
    "funding_round_id": "fr_1a2b3c4d5e6f",
    "name": "Series A",
    "investors": [
      {
        "investor_id": "inv_1a2b3c4d5e6f",
        "investor_name": "Bessemer Venture Partners",
        "is_lead_investor": true
      }
    ],
    "announced_on": "2024-03-01",
    "raised_amount_usd": 20000000,
    "pre_money_valuation_usd": 80000000,
    "post_money_valuation_usd": 100000000,
    "investor_count": 2
  }
]

Documentation Index

Fetch the complete documentation index at: https://api.tryspecter.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

companyId
string
required

The ID of the company being requested

Query Parameters

limit
number

The number of results to return, default is 50.

page
number

The page number of results to return, base 0, default is 0.

Response

A paginated list of funding rounds for this company.

funding_round_id
string
required

The Specter funding round ID.

Example:

"fr_1a2b3c4d5e6f"

name
string
required

The display name of the funding round.

Example:

"Series A"

investors
BasicInvestorInfo · object[]
required

All investors that participated in this round.

investment_type
enum<string> | null

The investment type for this round.

Available options:
Angel,
Convertible Note,
Corporate Round,
Debt Financing,
Equity Crowdfunding,
Grant,
Initial Coin Offering,
Non Equity Assistance,
Post Ipo Debt,
Post Ipo Equity,
Post Ipo Secondary,
Pre Seed,
Private Equity,
Product Crowdfunding,
Secondary Market,
Seed,
Series A,
Series B,
Series C,
Series D,
Series E,
Series F,
Series G,
Series H,
Series I,
Series J,
Series Unknown,
Undisclosed
announced_on
string<date> | null

The date (YYYY-MM-DD) the round was announced.

Example:

"2024-03-01"

raised_amount_usd
number | null

The amount raised in USD.

Example:

20000000

pre_money_valuation_usd
number | null

The reported pre-money valuation in USD.

Example:

80000000

post_money_valuation_usd
number | null

The reported post-money valuation in USD.

Example:

100000000

investor_count
integer | null

Total number of investors that participated in this round.

Example:

2